> ## Documentation Index
> Fetch the complete documentation index at: https://docs.withclasp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Activate Open Enrollment Window

> Activate an open enrollment window, changing its status to active.



## OpenAPI

````yaml post /open_enrollment_windows/{public_id}/activate
openapi: 3.0.3
info:
  title: ''
  version: 0.0.0
servers: []
security: []
paths:
  /open_enrollment_windows/{public_id}/activate:
    post:
      tags:
        - open_enrollment_windows
      description: Activate an open enrollment window, changing its status to active.
      operationId: open_enrollment_windows_activate_create
      parameters:
        - in: path
          name: public_id
          schema:
            type: string
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OpenEnrollmentWindow'
          description: ''
      security:
        - tokenAuth: []
components:
  schemas:
    OpenEnrollmentWindow:
      type: object
      properties:
        id:
          type: string
          readOnly: true
          pattern: ^[-a-zA-Z0-9_]+$
        employer:
          type: string
        start_date:
          type: string
          format: date
        end_date:
          type: string
          format: date
        renewal_date:
          type: string
          format: date
          readOnly: true
        status:
          allOf:
            - $ref: '#/components/schemas/OpenEnrollmentWindowStatusEnum'
          readOnly: true
        completed_member_count:
          type: integer
          readOnly: true
        incomplete_member_count:
          type: integer
          readOnly: true
        summaries:
          type: array
          items:
            type: object
            additionalProperties: {}
          nullable: true
          readOnly: true
        completed_at:
          type: string
          format: date-time
          readOnly: true
          nullable: true
        plans:
          type: array
          items:
            type: string
        enrollment_type:
          $ref: '#/components/schemas/EnrollmentTypeEnum'
        metadata:
          type: object
          additionalProperties:
            type: string
            maxLength: 500
          description: >-
            Up to 50 key-value pairs. Keys max 40 characters, values max 500
            characters. Set a value to empty string to remove a key. On PATCH,
            metadata is merged with existing values.
      required:
        - id
        - start_date
        - end_date
        - renewal_date
        - completed_at
        - employer
        - status
    OpenEnrollmentWindowStatusEnum:
      enum:
        - setup_required
        - build_in_progress
        - active
        - closed
        - completed
      type: string
      description: |-
        * `setup_required` - Setup Required
        * `build_in_progress` - Build In Progress
        * `active` - Active
        * `closed` - Closed
        * `completed` - Completed
    EnrollmentTypeEnum:
      enum:
        - active
        - passive
      type: string
      description: |-
        * `active` - Active
        * `passive` - Passive
  securitySchemes:
    tokenAuth:
      type: http
      scheme: bearer
      description: API Key authentication with required prefix "Bearer"

````